Bug 755922 - Review Request: perl-Tk-Pod - Pod browser top-level widget
Summary: Review Request: perl-Tk-Pod - Pod browser top-level widget
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-22 12:41 UTC by Petr Pisar
Modified: 2018-04-10 21:52 UTC (History)
3 users (show)

Fixed In Version: perl-Tk-Pod-0.9939-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 21:52:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-11-22 12:41:41 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Tk-Pod/perl-Tk-Pod.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Tk-Pod/perl-Tk-Pod-0.9939-1.fc17.src.rpm
Description:
Simple Pod browser with hypertext capabilities in a Toplevel widget.

Comment 1 Petr Šabata 2011-11-22 15:57:51 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[-]: MUST Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).(EPEL6 & Fedora < 13)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install. (EPEL5)
[-]: MUST If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
        
        rpmlint perl-Tk-Pod-0.9939-1.fc17.src.rpm
        ================================================================================
        perl-Tk-Pod.src: I: enchant-dictionary-not-found en_US
        perl-Tk-Pod.src:41: W: comparison-operator-in-deptoken font(:lang=en)
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint perl-Tk-Pod-0.9939-1.fc17.noarch.rpm
        ================================================================================
        perl-Tk-Pod.noarch: I: enchant-dictionary-not-found en_US
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x]: MUST Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/contyk/755922/Tk-Pod-0.9939.tar.gz :
          MD5SUM this package     : a8aac5996c584abac1b05115c4684fd0
          MD5SUM upstream package : a8aac5996c584abac1b05115c4684fd0
        
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?]: SHOULD Package functions as described.
[-]: SHOULD Package does not include license text files separate from upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
None

Notes:
1. I'd suggest using xvfb-run to setup Xvfb environment (and drop explicit xinit dependency)
2. Either assume all Tk::* components are provided by the same package as perl(Tk) or list them all as BRs.  The current state is quite inconsistent.

Those are non-blockers, though.

Comment 2 Petr Pisar 2011-11-23 08:43:48 UTC
New Package SCM Request
=======================
Package Name: perl-Tk-Pod 
Short Description: Pod browser top-level widget
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-11-23 10:56:42 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2011-11-23 13:14:48 UTC
Thank you for the review and the repository.

Comment 5 Fedora Update System 2017-12-04 09:05:29 UTC
perl-Getopt-ArgvFile-1.11-24.el7 perl-PAR-1.015-4.el7 perl-PAR-Packer-1.041-2.el7 perl-Tk-Canvas-GradientColor-1.06-10.el7 perl-Tk-ColoredButton-1.05-15.el7 perl-Tk-EntryCheck-0.04-15.el7 perl-Tk-Getopt-0.51-3.el7 perl-Tk-Pod-0.9943-6.el7 perl-perlindex-1.606-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe2035adcd

Comment 6 Fedora Update System 2017-12-04 09:06:22 UTC
perl-Getopt-ArgvFile-1.11-24.el7 perl-PAR-1.015-4.el7 perl-PAR-Packer-1.041-2.el7 perl-Tk-Canvas-GradientColor-1.06-10.el7 perl-Tk-ColoredButton-1.05-15.el7 perl-Tk-EntryCheck-0.04-15.el7 perl-Tk-Getopt-0.51-3.el7 perl-Tk-Pod-0.9943-6.el7 perl-perlindex-1.606-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe2035adcd

Comment 7 Fedora Update System 2017-12-04 23:27:22 UTC
perl-Getopt-ArgvFile-1.11-24.el7, perl-PAR-1.015-4.el7, perl-PAR-Packer-1.041-2.el7, perl-Tk-Canvas-GradientColor-1.06-10.el7, perl-Tk-ColoredButton-1.05-15.el7, perl-Tk-EntryCheck-0.04-15.el7, perl-Tk-Getopt-0.51-3.el7, perl-Tk-Pod-0.9943-6.el7, perl-perlindex-1.606-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe2035adcd

Comment 8 Fedora Update System 2017-12-27 23:58:29 UTC
perl-Getopt-ArgvFile-1.11-24.el7, perl-PAR-1.015-4.el7, perl-PAR-Packer-1.041-2.el7, perl-Tk-Canvas-GradientColor-1.06-10.el7, perl-Tk-ColoredButton-1.05-15.el7, perl-Tk-EntryCheck-0.04-15.el7, perl-Tk-Getopt-0.51-3.el7, perl-Tk-Pod-0.9943-6.el7, perl-perlindex-1.606-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.